<?php

//ini_set('display_errors',1);

require_once ("../../config/Cado.php");

require_once ("cProducto.php");
$oProducto = new cProducto();

require_once ("../stock/cStock.php");
$oStock = new cStock();

require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();

require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");
$oTipocambiotesoreria = new cTipocambiotesoreria();

require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();

$dts = $oProducto->mostrarUno($_POST['pro_id']);
$dt = mysqli_fetch_array($dts);
$pro_nom = $dt['tb_producto_nom'];

$fecha = date('Y-m-d'); 

require_once ("../formatos/formato.php");


$rs = $oTipocambio->consultar(fecha_mysql($fecha));  
$dt = mysqli_fetch_array($rs);
$tipcamtes = $dt['tb_tipocambio_dolsun'];

// echo $tipcamtes;

/* 
$rstes = $oTipocambiotesoreria->consultar($fecha);  
$dttes = mysqli_fetch_array($rstes);
$tipcamtes =formato_money($dttes['tb_tipocambiotesoreria_val']);
 */

?>

<style>
	div#tabla_info { margin: 0 0; }
	div#tabla_info table { margin: 0 0; border-collapse: collapse;}
	div#tabla_info table td, div#tabla_info table th { border: 1px solid #eee; padding: 3px 8px; font-size:10px; }
	div#tabla_info table th { height:16px }
	
	</style>
 


<div class="col-lg-12 col-md-12 col-xs-12 " style="background-color:#fff;padding:0%;">

<div class="modal-header">
	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	<h4 class="modal-title" id="titlemodal">Informacion del producto</strong> 
	<strong class="text-primary" ><?php echo $pro_nom.''; ?></strong>
	</h4> 
</div>


	<?php // echo '-- '.$_POST['cat_id']; ?>	
	<div class="col-lg-12 col-md-12 col-xs-12 " >	
	
	<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;" ></div>	
	<strong> - STOCK POR MARCA Y ALMACEN</strong>
	<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;" ></div>
	
	<table id="tabla_info" class="table table-bordered table-striped" >
	
	<thead>
	<tr>
	<th class="text-primary" >MARCA</th>
	<th>ALMACEN </th>
	<!--
	<th>ALMACEN OTRO</th>
	-->
	</tr>
	</thead>
	
	<tbody>
	<?php 			
	$dts=$oProductomarca->mostrar_filtro($_POST['cat_id']);
	$num_rows= mysqli_num_rows($dts);

	if($num_rows>0){
	while($dtmar = mysqli_fetch_array($dts)){
		
	?>
	<tr>
	<td class="text-primary" >
	<?php echo $dtmar['tb_marca_nom'];?>
	</td>
	<td>
	<strong><?php echo $stock_jv= mysqli_fetch_array($oStock->stock_por_presentacion($_POST['cat_id'], $dtmar['tb_marca_id'],'1'))['tb_stock_num']*1; ?></strong> 
	</td>
	<!--
	<td>
	<strong><?php echo $stock_jv= mysqli_fetch_array($oStock->stock_por_presentacion($_POST['cat_id'], $dtmar['tb_marca_id'],'2'))['tb_stock_num']*1; ?></strong> 
	</td>
	-->
	</tr>
	
	<?php	
	}
	}else{
	?>
	<tr>
	<td colspan="4" > NO HAY MARCAS </td>
	</tr>
	<?php 	
	}	
	?>
	</tbody>
	</table>
	
	</div> 

	
	<div class="col-lg-12 col-md-12 col-xs-12 " >	
	
	<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;" ></div>	
	<strong> - PRECIOS MAXIMOS POR MARCA Y PROVEEDOR</strong>
	<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;" ></div>
	
	
	<table id="tabla_info" class="table table-bordered table-striped" >
	
	<thead>
	<tr>
	<th>MARCAS</th>
	<th colspan="2" >PROVEEDOR Y PRECIOS</th>
	</tr>
	</thead>
	
	<tbody>
	
	<?php 
	$dtspro=$oProducto->ver_a_proveedores_compras_por_producto($_POST['cat_id']);
	$num_rows= mysqli_num_rows($dtspro);
	
	if($num_rows>0){
	?>
	
	<tr>
	<td></td>
	<?php
	while($dtpro = mysqli_fetch_array($dtspro)){
	?>
	<td><?php echo $dtpro['tb_proveedor_nom']?></td>
	<?php 
	}
	?>
	</tr>
	<?php 
	}else{
	?>
	<tr>
	<td ></td>
	<td >SIN COMPRAS HECHAS A PROVEEDORES</td>
	</tr>
	<?php
	}
	
	?>
	
	<?php
	$dts=$oProductomarca->mostrar_filtro($_POST['cat_id']);
	$num_rows= mysqli_num_rows($dts);

	if($num_rows>0){
	while($dtmar = mysqli_fetch_array($dts)){
	?>
	
	<tr>
	<td class="text-primary" >
	<?php echo $dtmar['tb_marca_nom'];?>
	</td>
	
	<?php
	
	$dtspro=$oProducto->ver_a_proveedores_compras_por_producto($_POST['cat_id']);
	$num_rows= mysqli_num_rows($dtspro);
	
	if($num_rows>0){
	
	while($dtpro = mysqli_fetch_array($dtspro)){
		
	$dtspre=$oProducto->ver_ultimos_2_precios_compras($_POST['cat_id'],$dtmar['tb_marca_id'],$dtpro['tb_proveedor_id']);
	$num_rows_pre= mysqli_num_rows($dtspre);
				
	?>
	<td>
	
	
	
	<?php 
	if($num_rows_pre>0){
		?>
		<table class="tabla_precios"  width="100%" >
		<!--
		<tr class="bg-gray" style="padding:2%">
		<td nowrap >PRECIO US$</td>
		<td nowrap width="10%" > </td>
		<td nowrap >PRECIO S/</td>
		</tr>
		-->
		<?php 
		while($dtpre = mysqli_fetch_array($dtspre)){
		
		$igv_uni = $dtpre['tb_compradetalle_preuni'] *0.18;
		$preUni = $dtpre['tb_compradetalle_preuni'] + $igv_uni;
		
		?>
		<tr> 
		<td nowrap style="border-style: solid;border-width: 1px;" >
		
		<table width="100%" >
		<tr class="bg-gray">
		<td nowrap width="45%"> <strong class="text-red"><?php echo $dtpre['tb_compra_numdoc'].' '; ?></strong></td>
		<td nowrap width="10%"></td>
		<td nowrap width="45%">
		
		<strong style="cursor:pointer;" title="<?php echo 'Compra Registrada: '.mostrarFechaHora($dtpre['tb_compra_reg']); ?>" 
		class="text-primary pull-right"><?php echo ' '.$dtpre['tb_compra_fec']?></strong>
		
		</td>
		</tr>
		<tr style="font-size:2rem;" >
		<td nowrap >
		<?php if($dtpre['tb_moneda_id']==2){
			echo 'US$ '.formato_money($preUni);
		}else if($dtpre['tb_moneda_id']==1){
			echo 'US$ '.formato_money($preUni/$tipcamtes);
		}	
		?>
		</td>
		<td nowrap width="10%" >  </td>
		<td nowrap align="right">
		<?php if($dtpre['tb_moneda_id']==2){
			echo 'S/ '.formato_money($preUni*$tipcamtes);
		}else if($dtpre['tb_moneda_id']==1){
			echo 'S/ '.formato_money($preUni);
		}	
		?>
		</td>
		</tr>
		</table>
		
		</td>
			</tr>
		<?php	
		}
		?>
		</table>
		<?php 
	}else{
	echo 'SIN PRECIOS';
	}
	?>	
	</td>
	<?php 
	}
	}else{
	?>
	
	<td >SIN PRECIOS</td>
	
	<?php
	}
	?>
	
	
	
	
	</tr>
	
	<?php 
	}}else{
	?>
	<tr>
	<td >SIN MARCAS</td>
	</tr>
	<?php 
	}
	?>
	
	
	</tbody>
	
	</table>
	
	
	
	</div>
	
	
	

<div class="modal-footer pull-right">	 
	<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Cancelar</button>
</div>

</div>
